// Core component styles
const coreStyles = {
    container: {
        width: 'fit-content',
    },

    contentContainer: {
    },
};

/**
* Helper method to get the styles for Button component
* @param {Object} contextStyles - Context styles for the Button Component
*/
const getStyles = (contextStyles) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },
        contentContainer: {
            ...coreStyles.contentContainer,
            ...contextStyles.contentContainer,
        },
    };
};

export default getStyles;
