#### PageActivityIndicator

A control is needed that indicates to the user that a page level action is currently being performed and that further actions on the page should wait until the initial action is completed.

It should appear by default:

1. in a modal over a darkened full screen background overlay (XHA-22)
2. with the text: "One moment as the page is being constructed..." (XHA-13)
3. with an open circular spinning indicator (XHA-43)

A user should be able to:

1. see the loading indicator displayed over all content and centered in the viewport
2. see some notification text
3. see a darkened full screen background overlay behind the loading indicator
4. be prevented from making interactions with any controls covered by the overlay

The control should be able to:

1. accept styling to change the appearance of the text
2. accept styling to change the appearance of the spinning indicator
3. accept styling to change the appearance of the background overlay
4. accept styling to change the appearance and layout of the text and indicator container