#### Text Field
The control is needed that allows a user to enter or modify a text value.

It should appear by default:

- See Material-UI Text Fields: https://material-ui.com/demos/text-fields/
- empty with no characters
- with no placeholder text

A user should be able to:

- see the input empty with no characters and not focused
- see the input with characters and not focused
- input any characters
- select any characters
- modify any characters
- see the input focused by default
- set focus to the input by selecting the control
- remove focus to the input by selecting outside of the control
- set focus to the input using the 'tab' key from a different control
- remove focus to the input by using the 'tab' key to focus a different control
- set the text input cursor to the location clicked when the control does not have focus (ie: no text selection on focus)
- be constrained to entering a specified maximum number of characters
- be constrained to entering numeric characters only
- be prevented from entering or modifying characters
- see obfuscated characters for security and privacy concerns
- enter multiple lines of text separated with carriage returns / new lines
- see the control grow and shrink with the size of the input character contents

The control should be able to:

- accept styling to change the appearance of the entered text
- accept styling to change the appearance and layout of the control container
- run an action each time the input value changes, sending the updated value