#### Toggle

A control that allows a user to toggle between binary values (on/off, yes/no, true/false).

It should appear by default:

1. See Material-UI Switches:
    - https://material-ui.com/api/switch/
    - https://material-ui.com/components/switches/
2. in a negated state (off/no/false)

A user should be able to:

1. see the toggle in a negated state
2. see the toggle in a confirmed state
3. click the control
    - then see the toggle value change
4. be prevented from clicking on the control to toggle its value

The control should be able to:

1. accept styling to change the appearance of the toggle value indicator
2. accept styling to change the appearance and layout of the toggle container
3. run an action each time the toggle value changes, sending the updated value