import ActivityIndicator from './ActivityIndicator/ActivityIndicator';

// import BarChart from './BarChart/BarChart';
// import BarCodeActionIcon from './BarCodeActionIcon/BarCodeActionIcon';
// import BarCodeScanner from './scanners/BarCodeScanner/BarCodeScanner';
import Button from './Button/Button';
import ButtonBase from './ButtonBase/ButtonBase';
import ComboBox from './ComboBox/ComboBox';
import DateTimePicker from './DateTimePicker/DateTimePicker';
import DropDown from './DropDown/DropDown';

// import EmailActionIcon from './EmailActionIcon/EmailActionIcon';
import FilePicker from './FilePicker/FilePicker';
import Icon from './Icon/Icon';
import IconButton from './IconButton/IconButton';
import Image from './Image/Image';

// import LineChart from './LineChart/LineChart';
// import Map from './maps/Map/Map';
// import MapCallout from './maps/Callout/Callout';
// import MapMarker from './maps/Marker/Marker';
// import MapRoutes from './maps/Routes/Routes';
// import MapToggle from './maps/MapToggle/MapToggle';
// import MenuItem from './MenuItem/MenuItem';
import Modal from './Modal/Modal';
import PageActivityIndicator from './PageActivityIndicator/PageActivityIndicator';

// import PhoneActionIcon from './PhoneActionIcon/PhoneActionIcon';
// import PieChart from './PieChart/PieChart';
// import PowerBI from './powerBI/PowerBI';
// import RadioButton from './RadioButton/RadioButton';
// import RNTable from './RNTable/RNTable';
// import ScatterBubbleChart from './ScatterBubbleChart/ScatterBubbleChart';
import TextField from './TextField/TextField';
import TextLabel from './TextLabel/TextLabel';
import Toggle from './Toggle/Toggle';

// import TextWithImage from './TextWithImage/TextWithImage';
// import WebActionIcon from './WebActionIcon/WebActionIcon';


export const web = {
    ActivityIndicator,
    BarChart: () => null,
    BarCodeActionIcon: () => null,
    BarCodeScanner: () => null,
    Button,
    ButtonBase,
    ComboBox,
    DateTimePicker,
    DropDown,
    EmailActionIcon: () => null,
    FilePicker,
    Icon,
    IconButton,
    Image,
    LineChart: () => null,
    Map: () => null,
    MapCallout: () => null,
    MapMarker: () => null,
    MapRoutes: () => null,
    MapToggle: () => null,
    MenuItem: () => null,
    Modal,
    PageActivityIndicator,
    PhoneActionIcon: () => null,
    PieChart: () => null,
    PowerBI: () => null,
    RadioButton: () => null,
    RNTable: () => null,
    ScatterBubbleChart: () => null,
    Switch: Toggle,
    TextField,
    TextLabel,
    TextLabelWithImage: () => null,
    WebActionIcon: () => null,
};

export default web;
