// Core component styles
const coreStyles = {
    container: {},
};

/**
 * Helper method to get styles for the Line Chart
 * @param {Object} contextStyles - custom styles for the line chart
 */
const getStyles = (contextStyles) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },
    };
};

export default getStyles;
