#### Pie Chart

A control is needed that will enable the user to see a pie chart representation of a data set.

(example: https://echarts.apache.org/examples/en/editor.html?c=pie-simple)

It should appear by default:

- with section labels (text on each slice tick, default text style, not updatable)
- with no title
- with no subtitle
- with chart on top and legend on bottom in portrait mode
- with chart on left and legend on right in landscape mode
- with a transparent background
- with lines displayed horizontally from the left
- animated

A user should be able to:

- see one whole or multiple slices of various values
- see the chart visually animate to their represented values
- not see the chart visually animate and immediately see their represented values
- press on a slice
    - then see the slice highlight and expand
    - then see information about the values for that slice appear in a tooltip bubble
    - then see a button appear below the chart with the text:
        - Open details for {name}: {value}
    - then press on the button below the chart to run an action
- not see the legend

The control should be able to:

- accept styling to change the appearance of the chart background
- accept styling to change the appearance of the individual slices
    - color
    - border width
    - border color
    - opacity
    - highlight color (after pressed)