// Core component styles
const coreStyles = {
    container: {
    },

    disabledContainer: {
        opacity: 0.5,
    },

    input: {
    },
};

const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        disabledContainer: {
            ...coreStyles.container,
            ...contextStyles.container,
            ...coreStyles.disabledContainer,
        },

        input: {
            ...coreStyles.input,
            ...contextStyles.input,
        },
    };
};

export default getStyles;
