import BarChart from './BarChart/BarChart';
import BarCodeActionIcon from './BarCodeActionIcon/BarCodeActionIcon';
import BarCodeScanner from './scanners/BarCodeScanner/BarCodeScanner';
import Button from './Button/Button';
import ButtonBase from './ButtonBase/ButtonBase';
import DateTimePicker from './DateTimePicker/DateTimePicker';
import DropDown from './DropDown/DropDown';
import EmailActionIcon from './EmailActionIcon/EmailActionIcon';
import Icon from './Icon/Icon';
import Image from './Image/Image';
import LineChart from './LineChart/LineChart';
import Map from './maps/Map/Map';
import MapCallout from './maps/Callout/Callout';
import MapMarker from './maps/Marker/Marker';
import MapRoutes from './maps/Routes/Routes';
import MapToggle from './maps/MapToggle/MapToggle';
import MenuItem from './MenuItem/MenuItem';
import Modal from './Modal/Modal';
import PhoneActionIcon from './PhoneActionIcon/PhoneActionIcon';
import PieChart from './PieChart/PieChart';
import PowerBI from './powerBI/PowerBI';
import RadioButton from './RadioButton/RadioButton';
import RNTable from './RNTable/RNTable';
import ScatterBubbleChart from './ScatterBubbleChart/ScatterBubbleChart';
import Switch from './Switch/Switch';
import TextField from './TextField/TextField';
import TextLabel from './TextLabel/TextLabel';
import TextWithImage from './TextWithImage/TextWithImage';
import WebActionIcon from './WebActionIcon/WebActionIcon';


export const native = {
    BarChart,
    BarCodeActionIcon,
    BarCodeScanner,
    Button,
    ButtonBase,
    DateTimePicker,
    DropDown,
    EmailActionIcon,
    Icon,
    Image,
    LineChart,
    Map,
    MapCallout,
    MapMarker,
    MapRoutes,
    MapToggle,
    MenuItem,
    Modal,
    PhoneActionIcon,
    PieChart,
    PowerBI,
    RadioButton,
    RNTable,
    ScatterBubbleChart,
    Switch,
    TextField,
    TextLabel,
    TextLabelWithImage: TextWithImage,
    WebActionIcon,
};

export default native;
