// Core component styles
const coreStyles = {
    container: {
    },
    marker: {
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @return {Object}
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        marker: {
            ...coreStyles.marker,
            ...contextStyles.marker,
        },
    };
};

export default getStyles;
