// Core component styles
const coreStyles = {
    container: {
    },

    activityIndicator: {
    },
};

/**
* Helper method to get the styles for Activity Indicator component
* @param {Object} contextStyles - Context styles for Activity Indicator Component
*/
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        activityIndicator: {
            ...coreStyles.activityIndicator,
            ...contextStyles.activityIndicator,
        },
    };
};

export default getStyles;
