// Core component styles
const coreStyles = {
    container: {
    },

    contentContainer: {
    },

    text: {
    },

    textContainer: {
    },

    icon: {
    },

    iconContainer: {
    },
};

/**
* Helper method to get the styles for Button component
* @param {Object} contextStyles - Context styles for the Button Component
*/
const getStyles = (contextStyles) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },
        contentContainer: {
            ...coreStyles.contentContainer,
            ...contextStyles.contentContainer,
        },
        text: {
            ...coreStyles.text,
            ...contextStyles.text,
        },
        textContainer: {
            ...coreStyles.textContainer,
            ...contextStyles.textContainer,
        },
        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },
        iconContainer: {
            ...coreStyles.iconContainer,
            ...contextStyles.iconContainer,
        },
    };
};

export default getStyles;
