#### Button Component
A control is needed that shows a user a button with a text or icon representation of an action to be performed and allows the user to select the button to run the action

It should appear by default:

- See Material-UI Contained Buttons: https://material-ui.com/demos/buttons/#contained-buttons
- See Material-UI Outlined Buttons: https://material-ui.com/demos/buttons/#outlined-buttons

A user should be able to:

- see the button with the specified text and no icon
- see the button with the specified icon and no text
- see the button text on the right and the icon on the left
- see the button text on the left and the icon on the right
- click on the button
- be prevented from clicking on the button
    
The control should be able to:

- accept styling to change the appearance of the button text
- accept styling to change the appearance of the button icon
- accept styling to change the appearance and layout of the button container
- run an action each time the button is clicked
