#### Base Button Component
A control is needed that shows a user a button representation of an action to be performed and allows the user to select the button to run the action.

It should appear by default:

- See Material-UI Contained Buttons: https://material-ui.com/demos/buttons/#contained-buttons
- See Material-UI Outlined Buttons: https://material-ui.com/demos/buttons/#outlined-buttons

A user should be able to:

- see the button displayed with content
- click on the button
- be prevented from clicking on the button
    
The control should be able to:

- accept styling to change the appearance and layout of the button container
- run an action each time the button is clicked
