#### Combo Box

The control is needed that allows a user to select an option from a pre-defined menu of options as well as enter their own custom value.

It should appear by default:

- See Material-UI Customized Text Inputs: https://material-ui.com/demos/text-fields/#customized-inputs
- with a text field
- with a drop down icon
- with no input text

A user should be able to:

- see with no text value
- see with a text value pre-populated
- click the menu button
    - then see a menu of options
    - then click a menu option
    - then see the menu of options disappear
    - then see the clicked menu option text appear as the text value
- type a custom value into the text field input
- be prevented from making interactions with the control

The control should be able to:

- accept styling to change the appearance of the selected option text
- accept styling to change the appearance of the menu
- accept styling to change the appearance of the menu options
- accept styling to change the appearance and layout of the container
- run an action each time the value changes, sending the updated value
- be auto focused by default with the cursor in the text field