#### Date and Time Picker

The control is needed to allows a user to select a date and a time for input purposes.

It should appear by default:

- See Material-UI (non-native) Pickers: https://material-ui.com/demos/pickers/#material-ui-pickers
- with no input text

A user should be able to:

- see the control with the empty state text (TBD)
- see the control with date and time text populated
- click the control
    - then select a date from a calendar control (XHA-15)
       -  then select a time from a clock control (XHA-46) 
       -  then see the calendar and clock controls disappear
       -  then see the selected date and time text populated in the control

    - then click a 'Set' button to confirm the current / selected time (XHA-21)
       - then see the calendar and clock controls disappear
       - then see the selected date and time text populated in the control

    - then click a 'Cancel' button (XHA-21)
       - a. then see the calendar and clock controls disappear
       - b. then see no changes in the date and time text populated in the control
-  be prevented from making interactions with the control

The control should be able to:

- accept styling to change the appearance of the date and time text
- accept styling to change the appearance and layout of the date and time text container
- accept styling to change the appearance of the calendar control
- accept styling to change the appearance of the clock control
- run an action each time the date and time text value changes, sending the updated value