#### Drop Down

The control is needed that allows a user to select an option from a pre-defined menu of options.

It should appear by default:

- See Material-UI Selects: https://material-ui.com/demos/selects/
- with no text

A user should be able to:

- see the drop down with the empty state text
- see the drop down with a text value pre-selected
- click the drop down
    - then see a menu of options
        - then click a menu option
        - then see the menu of options disappear
        - then see the clicked menu option text appear as the selected text value
    - then see a menu of a single option: (empty)
        - then click on the (empty) menu option
        - then see the menu of options disappear
        - then see no changes to the selected text value
- prevented from making interactions with the control

The control should be able to:

- accept styling to change the appearance of the selected drop down option text
- accept styling to change the appearance of the menu
- accept styling to change the appearance of the menu options
- accept styling to change the appearance and layout of the drop down container
- run an action each time the value changes, sending the updated value
- be auto focused by default and showing the menu of options