#### FilePicker
The control is needed to allow a user to select and specify a file from their local file system.

It should appear by default:

- See Material-UI Text Fields: https://material-ui.com/demos/buttons/
- with the text: "UPLOAD"


A user should be able to:

- see the file picker control
- see the file picker control text
- be prevented from clicking on the control to open the file selection dialog
- click on the picker
     - then view a file selection dialog (OS specifics omitted)
        - with a list of all files
        - with a list of image files only
            - jpg
            - png
            - gif
            - TBD (other allowed formats)
        - then select a single file (OS specifics omitted)
            -  then confirm the file selection dialog (OS specifics omitted)
            -  then see the selected file name information populated into the picker control

The control should be able to:

- accept styling to change the appearance of the control button
- accept styling to change the appearance of the control text
- accept styling to change the appearance and layout of the control container
- run an action each time the value changes, sending the updated value