// Core component styles
const coreStyles = {
    container: {
        marginRight: '2px', /** Default margin for Icon */
        marginLeft: '2px',
    },
    icon: {
    },
};

/**
* Helper method to get the styles for Icon component
* @param {Object} contextStyles - Context styles for Icon Component
*/
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },
        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },
    };
};

export default getStyles;
