// Core component styles
const coreStyles = {
    container: {
    },
    button: {
    },
    icon: {
    },
};

/**
* Helper method to get the styles for Icon Button component
* @param {Object} contextStyles - Context styles for Icon Button Component
*/
const getStyles = (contextStyles) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },
        button: {
            ...coreStyles.button,
            ...contextStyles.button,
        },
        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },
    };
};

export default getStyles;