#### Modal
A control is needed that allows a user to view content in a modal window.

It should appear by default:

1. See Material-UI Dialogs: https://material-ui.com/components/dialogs/
2. centered horizontally and vertically in the viewport
3. over a darkened full screen background overlay

A user should be able to:

1. see the modal and its contents displayed over all content and centered in the viewport
2. see a darkened full screen background overlay behind the modal
3. see a transparent full screen background overlay behind the modal
4. be prevented from making interactions with any controls covered by an overlay (transparent and darkened)
5. click an overlay
    - then see the modal disappear

The control should be able to:

1. accept styling to change the appearance of the background overlay
2. accept styling to change the appearance and layout of the modal container